%{!?pear_metadir: %global pear_metadir %{pear_phpdir}}
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name Auth_HTTP

Name:		php-pear-Auth_HTTP
Version:	2.1.8
Release:	4%{?dist}
Summary:	Class providing HTTP authentication methods
Group:		Development/Libraries
License:	PHP
URL:		http://pear.php.net/package/Auth_HTTP
Source0:	http://pear.php.net/get/%{pear_name}-%{version}.tgz

BuildArch:	noarch
BuildRequires:	php-pear
BuildRequires:	php-pear(Auth) >= 1.2.0

Requires(post):	%{__pear}
Requires(postun):	%{__pear}
Requires:	php-pear(PEAR)
Requires:	php-pear(Auth) >= 1.2.0
# from phpcompatinfo report
Requires:	php-date
Requires:	php-pcre
Requires:	php-session

Provides:	php-pear(%{pear_name}) = %{version}


%description
The PEAR::Auth_HTTP class provides methods for creating an HTTP
authentication system using PHP, that is similar to Apache's
realm-based .htaccess authentication.


%prep
%setup -q -c
cd %{pear_name}-%{version}
sed -e '/README/s/role="data"/role="doc"/' \
    ../package.xml >%{name}.xml


%build
cd %{pear_name}-%{version}


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

rm -rf $RPM_BUILD_ROOT%{pear_metadir}/.??*

mkdir -p $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
	%{pear_name} >/dev/null || :
fi


%files
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Auth/HTTP.php


%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Aug  7 2013 Remi Collet <remi@fedoraproject.org> - 2.1.8-1
- update to 2.1.8
- define metadir, fix FTBFS  #914352
- fix role of README file
- add explicit dependencies

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Aug 14 2012 Remi Collet <remi@fedoraproject.org> - 2.1.6-7
- rebuilt for new pear_testdir

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 29 2009 Andrew Colin Kissa <andrew@topdog.za.net> - 2.1.6-2
- Renamed to match upstream

* Thu Jun 25 2009 Andrew Colin Kissa <andrew@topdog.za.net> - 2.1.6-1
- Initial creation
